> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentpowers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Api Tokens Endpoint

> List all active API tokens for the current user (masked).



## OpenAPI

````yaml /openapi.json get /v1/auth/api-tokens
openapi: 3.1.0
info:
  title: AgentPowers API
  description: Paid marketplace for Claude Code skills and agents
  version: 0.1.0
servers:
  - url: https://api.agentpowers.ai
    description: Production
security: []
paths:
  /v1/auth/api-tokens:
    get:
      tags:
        - auth
      summary: List Api Tokens Endpoint
      description: List all active API tokens for the current user (masked).
      operationId: list_api_tokens_endpoint_v1_auth_api_tokens_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiTokenListResponse'
components:
  schemas:
    ApiTokenListResponse:
      properties:
        tokens:
          items:
            $ref: '#/components/schemas/ApiTokenItem'
          type: array
          title: Tokens
      type: object
      required:
        - tokens
      title: ApiTokenListResponse
    ApiTokenItem:
      properties:
        id:
          type: string
          title: Id
        masked_token:
          type: string
          title: Masked Token
        name:
          type: string
          title: Name
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        expires_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Expires At
        last_used_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Used At
      type: object
      required:
        - id
        - masked_token
        - name
      title: ApiTokenItem

````